Subject: Re: bug#23011: tramp: ls parse failure and locale

From: Raphaël <[email-masked]>
Date: Mon, 14 Mar 2016 18:55:30 -0300

On Mon, Mar 14, 2016 at 06:40:11PM +0100, Michael Albinus wrote:

> Per default, Tramp tries "en_US.utf8", "C.utf8", "en_US.UTF-8" in this
> order. All of them shall be robust, I believe. See
> `tramp-get-remote-locale'.

I overlooked it, thank you!

> Which Emacs/Tramp version are you using?

Emacs 24.4 from Debian Jessie
(tramp 2.2.9-24.4)

But it was not an issue with tramp (and I'm not sure what exactly where
the issue was)
But I finally got tramp, unchanged, to work on the various servers by
tweaking their default locale.

It's not quite clear what exactly was the server's side significant
change (among dpkg-reconfigure locales & update-locale).
I'd say that was an unknown edge-case.

but thank you for the answer!